libximc: analog_data_t Struct Reference

libximc 3.0.3

Data Fields
analog_data_t Struct Reference

Analog data. More...

`#include <ximc.h>`

## Data Fields
unsigned int | A1Voltage_ADC
| "Voltage on pin 1 winding A" raw data from ADC.
unsigned int | A2Voltage_ADC
| "Voltage on pin 2 winding A" raw data from ADC.
unsigned int | B1Voltage_ADC
| "Voltage on pin 1 winding B" raw data from ADC.
unsigned int | B2Voltage_ADC
| "Voltage on pin 2 winding B" raw data from ADC.
unsigned int | SupVoltage_ADC
| "Supply voltage of H-bridge's MOSFETs" raw data from ADC.
unsigned int | ACurrent_ADC
| "Winding A current" raw data from ADC.
unsigned int | BCurrent_ADC
| "Winding B current" raw data from ADC.
unsigned int | FullCurrent_ADC
| "Full current" raw data from ADC.
unsigned int | Temp_ADC
| Voltage from temperature sensor, raw data from ADC.
unsigned int | Joy_ADC
| Joystick raw data from ADC.
unsigned int | Pot_ADC
| Voltage on analog input, raw data from ADC
unsigned int | Enc_Check_ADC
| Voltage on encoder check line, raw ADC data.
unsigned int | deprecated0
int | A1Voltage
| "Voltage on pin 1 winding A" calibrated data (in tens of mV).
int | A2Voltage
| "Voltage on pin 2 winding A" calibrated data (in tens of mV).
int | B1Voltage
| "Voltage on pin 1 winding B" calibrated data (in tens of mV).
int | B2Voltage
| "Voltage on pin 2 winding B" calibrated data (in tens of mV).
int | SupVoltage
| "Supply voltage on the top of H-bridge's MOSFETs" calibrated data (in tens of mV).
int | ACurrent
| "Winding A current" calibrated data (in mA).
int | BCurrent
| "Winding B current" calibrated data (in mA).
int | FullCurrent
| "Full current" calibrated data (in mA).
int | Temp
| Temperature, calibrated data (in tenths of degrees Celsius).
int | Joy
| Joystick, calibrated data.
int | Pot
| Analog input, calibrated data.
int | Enc_Check
| Voltage on encoder check line, exponentially filtrated ADC codes.
unsigned int | deprecated1 [2]
int | R
| Motor winding resistance in mOhms (is only used with stepper motors).
int | L
| Motor winding pseudo inductance in uH (is only used with stepper motors).

## Detailed Description

Analog data.

This structure contains raw analog data from the embedded ADC. These data are used for device testing and deep recalibration by the manufacturer only.

See also
  get_analog_data
  get_analog_data

## Field Documentation

## ◆ A1Voltage

int A1Voltage

"Voltage on pin 1 winding A" calibrated data (in tens of mV).

## ◆ A1Voltage_ADC

unsigned int A1Voltage_ADC

"Voltage on pin 1 winding A" raw data from ADC.

## ◆ A2Voltage

int A2Voltage

"Voltage on pin 2 winding A" calibrated data (in tens of mV).

## ◆ A2Voltage_ADC

unsigned int A2Voltage_ADC

"Voltage on pin 2 winding A" raw data from ADC.

## ◆ ACurrent

int ACurrent

"Winding A current" calibrated data (in mA).

## ◆ ACurrent_ADC

unsigned int ACurrent_ADC

"Winding A current" raw data from ADC.

## ◆ B1Voltage

int B1Voltage

"Voltage on pin 1 winding B" calibrated data (in tens of mV).

## ◆ B1Voltage_ADC

unsigned int B1Voltage_ADC

"Voltage on pin 1 winding B" raw data from ADC.

## ◆ B2Voltage

int B2Voltage

"Voltage on pin 2 winding B" calibrated data (in tens of mV).

## ◆ B2Voltage_ADC

unsigned int B2Voltage_ADC

"Voltage on pin 2 winding B" raw data from ADC.

## ◆ BCurrent

int BCurrent

"Winding B current" calibrated data (in mA).

## ◆ BCurrent_ADC

unsigned int BCurrent_ADC

"Winding B current" raw data from ADC.

## ◆ Enc_Check

int Enc_Check

Voltage on encoder check line, exponentially filtrated ADC codes.

Used to determine encoder type: single-ended or differential.

## ◆ Enc_Check_ADC

unsigned int Enc_Check_ADC

Voltage on encoder check line, raw ADC data.

Used to determine encoder type: single-ended or differential.

## ◆ FullCurrent

int FullCurrent

"Full current" calibrated data (in mA).

## ◆ FullCurrent_ADC

unsigned int FullCurrent_ADC

"Full current" raw data from ADC.

## ◆ Joy

int Joy

Joystick, calibrated data.

Range: 0..10000

## ◆ Joy_ADC

unsigned int Joy_ADC

Joystick raw data from ADC.

## ◆ L

int L

Motor winding pseudo inductance in uH (is only used with stepper motors).

## ◆ Pot

int Pot

Analog input, calibrated data.

Range: 0..10000

## ◆ R

int R

Motor winding resistance in mOhms (is only used with stepper motors).

## ◆ SupVoltage

int SupVoltage

"Supply voltage on the top of H-bridge's MOSFETs" calibrated data (in tens of mV).

## ◆ SupVoltage_ADC

unsigned int SupVoltage_ADC

"Supply voltage of H-bridge's MOSFETs" raw data from ADC.

## ◆ Temp

int Temp

Temperature, calibrated data (in tenths of degrees Celsius).

## ◆ Temp_ADC

unsigned int Temp_ADC

Voltage from temperature sensor, raw data from ADC.